#
# spec file for package liby2util (Version 2.9.24)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  dejagnu doxygen expect gpp libgpp libxcrypt libxcrypt-devel tcl yast2-devtools

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils dejagnu doxygen expect gcc gcc-c++ gdbm gettext libstdc++-devel libtool libxcrypt-devel perl rpm tcl yast2-devtools suse-macros pkgconfig compat-gcc-32-c++

Name:         liby2util
Version:      2.9.24
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      liby2util-2.9.24.tar.bz2
prefix:		/usr
Summary:      YaST2 - Utilities Library

%description
YaST2 - Utilities Library

Authors:
--------
    Michael Andres <ma@suse.de>

%package devel
Requires:     liby2util = %version
Group:        System/YaST
Summary:      YaST2 - Include Files and Documentation for Utilities Library

%description devel
YaST2 - Include Files and Documentation for Utilities Library

Authors:
--------
    Michael Andres <ma@suse.de>

%prep
%setup -n liby2util-2.9.24

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{prefix}/include/YaST2
%doc %{prefix}/share/doc/packages/liby2util

%changelog -n liby2util
* Fri Mar 09 2007 - Wenji.huang@orale.com
- Fix spec to rhel
* Fri May 21 2004 - ma@suse.de
- fixed logging configuration (#40970)
- 2.9.24
* Tue Apr 20 2004 - ma@suse.de
- New enum PathInfo::file_type (file, directory, link, etc.)
- New PathInfo::readdir which retrieves directory content and
  file_type of each entry.
- 2.9.23
* Tue Apr 06 2004 - lnussel@suse.de
- SUSE is great (#38495)
- 2.9.22
* Sun Apr 04 2004 - kkaempf@suse.de
- add 'cifs' to URL (#37871)
- 2.9.21
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Tue Mar 23 2004 - visnov@suse.cz
- use GNU-like output for log_simple mode
- 2.9.19
* Mon Mar 22 2004 - ma@suse.de
- TagCacheRetrieval::retrieveData must clear any old data in case
  of retrieval error.
- 2.9.18
* Thu Mar 18 2004 - ma@suse.de
- Added convenience classes for callback redirection.
- 2.9.17
* Wed Mar 17 2004 - mvidner@suse.cz
- include MemUsage.h unconditionally, let *it* (un)define D_MEMUSAGE
- 2.9.16
* Tue Mar 16 2004 - lnussel@suse.de
- disable -DD_MEMUSAGE otherwise all depending packages need to enable it too
- 2.9.15
* Mon Mar 15 2004 - mvidner@suse.cz
- fixed initialization of LangCode::_nameHash
- 2.9.14
* Sun Mar 14 2004 - kkaempf@suse.de
- enable MemUsage with -DD_MEMUSAGE
- add size tracking
* Tue Mar 02 2004 - lnussel@suse.de
- add access functions to internal debug variable
* Mon Mar 01 2004 - ma@suse.de
- Added common set operations (setutil.h)
- 2.9.12
* Tue Feb 24 2004 - mvidner@suse.cz
- Toggle debug on SIGUSR1, reread log.conf on SIGUSR2.
* Tue Feb 24 2004 - msvec@suse.cz
- use normal log behavior in ycpc when Y2DEBUG is set
* Mon Feb 23 2004 - mvidner@suse.cz
- Reread log.conf on SIGUSR1
- 2.9.11
* Sat Feb 21 2004 - ma@suse.de
- Reimplemented counted pointer classes
- 2.9.10
* Thu Feb 19 2004 - visnov@suse.cz
- ensure initialization of memusage counter
- 2.9.9
* Wed Feb 18 2004 - msvec@suse.cz
- better function name for the simple log mode
* Tue Feb 17 2004 - mvidner@suse.cz
- Added MemUsage
- 2.9.8
* Mon Feb 09 2004 - msvec@suse.cz
- added simple log mode (mainly for ycpc)
- 2.9.7
* Tue Jan 27 2004 - ma@suse.de
- Let parser classes use std::streamoff instead of std::streampos.
* Sat Jan 24 2004 - ma@suse.de
- Added PathInfo::hardlink
- 2.9.6
* Fri Jan 23 2004 - msvec@suse.cz
- added possibility to use a custom log.conf
* Thu Jan 22 2004 - ma@suse.de
- Compile with gcc-3.4
- 2.9.5
* Thu Dec 18 2003 - ma@suse.de
- Restored Y2SLog providing a default log component name.
- 2.9.4
* Fri Dec 12 2003 - msvec@suse.cz
- merge again the logging functionality from core
- implement better logging configuration
- 2.9.3
* Thu Nov 13 2003 - ma@suse.de
- Fixed ProgressCounter::updateIfNewPercent. After reset, update
  should be triggered anyway. Otherwise an initial 0%% report may
  get lost. (#30382)
- 2.9.2
* Thu Nov 06 2003 - mvidner@suse.cz
- Switched autodocs from kdoc to doxygen
- 2.9.1
* Tue Sep 23 2003 - ma@suse.de
- Added PathInfo::symlink
- 2.8.15
* Thu Sep 18 2003 - ma@suse.de
- Provide virtual methods Rep::ref_to and Rep::unref_to triggered
  whenever the reference counter changes.
- 2.8.12
* Thu Sep 11 2003 - ma@suse.de
- ExternalProgram: Close excess file descriptors on exec. (#30410)
- 2.8.11
* Fri Aug 29 2003 - ma@suse.de
- Adapt CallBack and ProgressCounter to packagemanager needs.
- 2.8.10
* Mon Aug 25 2003 - sh@suse.de
- Second part of fix for bug #19603: RPM groups not translated
  Moved gettext initialization out to from Y2PM.cc (in packagemanager)
  to YRpmGroupsTree.cc
* Tue Aug 12 2003 - ma@suse.de
- fixed PtrClasses: call to nonstatic member before class is
  completely initialized.
- 2.8.9
* Tue Jul 29 2003 - cschum@suse.de
- Suppress ".." in PathInfo::readDir().
* Mon Jul 28 2003 - cschum@suse.de
- Fix test suite for autobuild.
- 2.8.8
* Sun Jul 27 2003 - ma@suse.de
- Fixes to CallBack class.
- 2.8.7
* Tue Jul 15 2003 - ma@suse.de
- Added CallBack template classes.
- Added ProgressCounter incl. callback support.
- 2.8.6
* Tue Jul 08 2003 - cschum@suse.de
- Added support for "file:" URLs.
- Added Url class tests.
- Removed "get" suffix from Url accessor functions.
- Added Protocol enum to Url class.
- Changed Url::setPort/port() to use int value.
- 2.8.5
* Tue Jun 24 2003 - cschum@suse.de
- Fixed ExternalProgram::running().
* Tue Jun 17 2003 - cschum@suse.de
- Added FSize constructor with string argument.
* Wed Jun 11 2003 - arvin@suse.de
- add /usr/include/YaST2 to file list of devel subpackage
* Tue Jun 03 2003 - ma@suse.de
- Build fix: Don't package unmaintained validate_* programs at all.
- Added PathInfo::zipType
- 2.8.2
* Fri May 30 2003 - mvidner@suse.de
- Build fix: package also validate_packages_lang, validate_selection.
- 2.8.1
* Tue Apr 22 2003 - ma@suse.de
- 2.8.0
* Tue Apr 22 2003 - cschum@suse.de
- Also use separate GPG home dir when running as non-root (#26360).
* Fri Mar 14 2003 - ma@suse.de
- In vendor check isSuSE() return true for "UnitedLinux" too.
- 2.7.15
* Thu Mar 06 2003 - ma@suse.de
- Added 'int PathInfo::chmod( const Pathname & path, mode_t mode );'
- 2.7.14
* Mon Mar 03 2003 - ma@suse.de
- 2.7.13
* Thu Feb 27 2003 - lnussel@suse.de
- use std::set instead of hash in Ustring.h for speed reasons
- increase library version number to reflect binary incompatible changes
* Tue Feb 25 2003 - cschum@suse.de
- GPGCheck now also works for non-root users.
* Tue Feb 25 2003 - gs@suse.de
- 2.7.12   #include <assert.h> added
* Mon Feb 24 2003 - cschum@suse.de
- Don't report missing config file as error (#23799).
* Fri Feb 21 2003 - ma@suse.de
- 2.7.10
* Wed Feb 19 2003 - cschum@suse.de
- GPGCheck: Don't prompt user, when destination file can't be removed.
* Tue Feb 18 2003 - ma@suse.de
- Added PathInfo::userMay methods, evaluating file permissions according
  to current uid/gid.
- 2.7.9
* Tue Feb 11 2003 - sh@suse.de
- (Partial) fix for bug #19603: RPM groups not translated
  YRpmGroupsTree / YStringTree now use dgettext( "rpm-groups", msg )
  to retrieve the translations.
* Mon Feb 03 2003 - ma@suse.de
- Url::operator== should be 'const'.
- 2.7.7
* Wed Jan 29 2003 - ma@suse.de
- Added FSize::fillBlock (and FSize::fullBlock) to adjust (return adjusted)
  size to provided blocksize boundary.
- 2.7.6
* Thu Jan 23 2003 - ma@suse.de
- Added class PathInfo::devino_cache. Standalone simple cache
  remembering device/inode to detect hardlinks.
- 2.7.5
- Added class PathInfo::stat_mode. Standalone wrapper class for mode_t
  values (filetype and protection) as derived from ::stat().
- 2.7.4
- Added stringutil::splitToLines. Split string into a list of lines
  using per default '\n' as line delimiter.
- Added stringutil::dumpOn. Helper for stream output of string list
  and vector.
- 2.7.3
* Wed Jan 22 2003 - cschum@suse.de
- Added numstring, hexstring and optstring functions for long long
  parameters.
* Wed Dec 18 2002 - cschum@suse.de
- Added Url::operator==().
- Added PathInfo::copy().
- Cleaned up GPGCheck class.
- Folded TaggedParser::lookupYouEndTag() into TaggedParser::lookupEndTag().
* Thu Nov 14 2002 - ma@suse.de
- Fixed bug that inhibits logging on big-endian architectures.
- 2.7.1
* Thu Nov 14 2002 - cschum@suse.de
- Added SysConfig class for accessing /etc/sysconfig/* files.
* Mon Oct 14 2002 - ma@suse.de
- Fixed TagRetrievalPos. Failed to read multiline entries containing
  lines longer than 1024 byte.
- 2.6.21
* Wed Oct 09 2002 - ma@suse.de
- Fixed pathInfo::copy_dir. Check for existing target dir didn't work.
- 2.6.20
* Wed Oct 02 2002 - cschum@suse.de
- Added support for YOU-style localized multiline tags.
- 2.6.19
* Wed Sep 11 2002 - kkaempf@suse.de
- Handle empty values in TaggedParser more gracefully
- 2.6.18
* Tue Sep 10 2002 - ma@suse.de
- Added LangCode::hasCountry() and LangCode::languageOnly()
- 2.6.17
* Tue Sep 10 2002 - arvin@suse.de
- reduce logging (bug #19289)
* Tue Sep 10 2002 - ma@suse.de
- add PathInfo::rename()
- 2.6.15
* Mon Sep 09 2002 - lnussel@suse.de
- do not output password by default, use saveAsString if you need it
* Sun Sep 08 2002 - kkaempf@suse.de
- ignore case of end tags when parsing
- 2.6.13
* Fri Sep 06 2002 - kkaempf@suse.de
- dont output stderr of "diff" to console
- 2.6.12
* Thu Sep 05 2002 - kkaempf@suse.de
- improve Rep handling
- improve Url handling
- count sizes in 1024, not 1000
- 2.6.11
* Tue Sep 03 2002 - kkaempf@suse.de
- add vendor checks
- improve TaggedParser/TaggedFile to read old common.pkd format
- 2.6.10
* Tue Sep 03 2002 - mvidner@suse.cz
- kdoc cleanup: better cross references and fixed some parsing issues.
* Sun Sep 01 2002 - kkaempf@suse.de
- add Vendor hash
- 2.6.9
* Wed Aug 28 2002 - kkaempf@suse.de
- add PathInfo::copy_file2dir()
- 2.6.8
* Wed Aug 28 2002 - kkaempf@suse.de
- add PathInfo::copy_dir()
- 2.6.7
* Sun Aug 25 2002 - kkaempf@suse.de
- add TaggedFile and TaggedParser for easier packages parsing
* Fri Aug 23 2002 - kkaempf@suse.de
- drop BitField implementation.
* Wed Aug 21 2002 - kkaempf@suse.de
- add group tag cache
* Sun Aug 18 2002 - kkaempf@suse.de
- add TagCacheRetrievalPtr
- add reference pointer statistics
* Fri Aug 16 2002 - kk@suse.de
- split off core logging functions for use by liby2util
  and yast2-core
* Thu May 16 2002 - ma@suse.de
- Initial version.
